Subject: Re: [bug#74778] [PATCH v3] gnu: linux-libre: Enable simpledrm driver.

From: Leo Famulari <[email-masked]>
Date: Tue, 31 Dec 2024 11:39:24 -0500

On Tue, Dec 17, 2024 at 02:14:00PM +0200, Homo via Guix-patches via wrote:
> Without it GDM and Wayland don't work on unsupported GPUs.
> 
> Fixes <https://issues.guix.gnu.org/74390>
> 
> * gnu/packages/linux.scm (default-extra-linux-options): Enable
> CONFIG_DRM, CONFIG_DRM_SIMPLEDRM and CONFIG_SYSFB_SIMPLEFB.
> Disable CONFIG_FB_EFI and CONFIG_FB_SIMPLE.

Hi, thanks for looking into this problem and sending a patch!

I've pushed it to the 'kernel-updates' branch on Savannah, so that
ci.guix.gnu.org will build affected packages:

https://ci.guix.gnu.org/eval/1954549

Once the relevant kernel packages are built, people can test the change
with Guix time-machine, like so:

$ guix time-machine --commit=0bdfe09560bef85d5145f431ee3c9e7907652630 -- system reconfigure $OS_CONFIG_FILE

If your system has been upgraded past the previous master branch commit,
Guix will refuse to use this alternate history, even though it is signed
properly by my key, but you can disable the code-signing authentication
like this:

$ guix time-machine --commit=0bdfe09560bef85d5145f431ee3c9e7907652630 --allow-downgrades -- system reconfigure --allow-downgrades $OS_CONFIG_FILE

I'll test it on my headless machine, but it would be great if some other
people could make sure their systems still work with this change.